// src/Cell.hh
// (C) 2007 - 2009 Philip Endecott
// This file is part of Anyterm; see http://anyterm.org/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef Cell_hh
#define Cell_hh

#include "Attributes.hh"

#include "unicode.hh"


struct Cell {
  ucs4_char c;
  Attributes attrs;

  Cell(ucs4_char c_=' '): c(c_) {}
  Cell(ucs4_char c_, Attributes attrs_): c(c_), attrs(attrs_) {}
};


#endif
